GET /v1/attachments/{object-type}/{object-key}

zuora.com

Summary: List attachments by object type and key
Operation ID: GET_AttachmentsList
Auth: unknown
Description

Use the View Attachment REST request to get a list of attachments on an account, an invoice, a subscription, a credit memo, or a debit memo. **Note**: The Credit and Debit Memos feature is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information.

Parameters (5)

Zuora-Entity-Ids (string, header, optional)

An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

Zuora-Track-Id (string, header, optional)

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

Constraints: {'maxLength': 64}

object-key (string, path, required)

ID of the object to list attachements for. - If `object-type` is `account`, specify an account ID. - If `object-type` is `invoice`, specify an invoice ID. - If `object-type` is `subscription`, specify a subscription number. - If `object-type` is `creditmemo`, specify a credit memo ID. - If `object-type` is `debitmemo`, specify a debit memo ID.

object-type (string, path, required)

The type of the object to list attachements for.

Constraints: {'enum': ['account', 'invoice', 'subscription', 'creditmemo', 'debitmemo']}

pageSize (integer, query, optional, default: 20)

Number of rows returned per page.

Constraints: {'maximum': 40}

No probe data for this endpoint yet.